## python-getdns 1.0.0~b1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pygetdns.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pygetdns.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pygetdns"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pygetdns"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-getdns 0.2.0

=== debian/changelog ===
python-getdns (0.2.0-2) unstable; urgency=medium

  * Team upload
  * Adjust build-depends to fix FTBFS:
    - Change python-all (>= 2.6.6-3) build-dep to python-all-dev (>= 2.6.6-3)
    - Add build-depends on libevent-dev and libldns-dev
  * Add build-depend on dh-python to ensure the latest version is used
  * Add team Vcs-* to debian/control
  * Wrap and sort

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Feb 2015 16:09:10 -0500

python-getdns (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #767890)
  * Build-Depend on fixed version of libgetdns-dev

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Nov 2014 11:21:39 +0100

=== debian/control ===
Source: python-getdns
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libevent-dev,
               libgetdns-dev (>= 0.1.5-2~),
               libldns-dev,
               python-all-dev (>= 2.6.6-3)
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-getdns/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-getdns/trunk/
Homepage: http://getdnsapi.org/

Package: python-getdns
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: modern asynchronous DNS API (python bindings)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This package contains pythong bindings for the library.

## python-getdns 0.3.1

=== debian/changelog ===
python-getdns (0.3.1-2) unstable; urgency=medium

  * import upstream fix for segfault from Context.run()
  * fix package description

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Jun 2015 14:38:10 -0400

python-getdns (0.3.1-1) unstable; urgency=medium

  * New Upstream version (Closes: #783786)
  * joined the packaging team, adding myself to uploaders.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Apr 2015 00:55:28 -0400

python-getdns (0.2.1-2) unstable; urgency=medium

  * Merge extra Scott Kitterman's changes from 0.2.0-2 into the repository
   + Adjust build-depends to fix FTBFS:
    - Change python-all (>= 2.6.6-3) build-dep to python-all-dev (>= 2.6.6-3)
   + Add Build-depend on dh-python to ensure the latest version is used
  * Add Vcs-* to debian/control
  * No DPMT maintenance

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Feb 2015 09:35:43 +0100

python-getdns (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1
  * Depend on getdns >= 0.1.6
  * Update patches for 0.2.1 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Feb 2015 11:04:29 +0100

=== debian/control ===
Source: python-getdns
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               libevent-dev,
               libgetdns-dev (>= 0.1.7~),
               libldns-dev,
               python-all-dev (>= 2.6.6-3~),
               python-docutils,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.6
Homepage: http://getdnsapi.org/
Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/python-getdns.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/python-getdns.git;a=summary

Package: python-getdns
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ${sphinxdoc:Depends}
Description: modern asynchronous DNS API (python bindings)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This package contains python bindings for the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=getdns

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html

## python-getdns 0.6.0

=== debian/changelog ===
python-getdns (0.6.0-1) unstable; urgency=medium

  * Imported Upstream version 0.6.0
  * Update patches for 0.6.0 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Jan 2016 10:44:54 +0100

python-getdns (0.5.0-2) unstable; urgency=medium

  * Backport upstream fix to back out STARTTLS support to align to
    upstream getdns changes (Closes: #810260)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jan 2016 15:22:12 -0500

python-getdns (0.5.0-1) unstable; urgency=medium

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Scott Kitterman ]
  * New upstream release
  * Agreed maintainer change to DPMT
    - Update maintainer/uploaders and point to DPMT git repository in debian/
      control
  * Add support for python3
    - Create new python3-getdns binary
    - Split documentation and examples into separate python-getdns-doc package
      so they are not duplicated
    - Adjust debian/rules and install files
  * Update copyright year in debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Tue, 29 Dec 2015 12:52:27 -0500

=== debian/control ===
Source: python-getdns
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               libevent-dev,
               libgetdns-dev (>= 0.1.7~),
               libldns-dev,
               python-all-dev (>= 2.6.6-3~),
               python3-all-dev,
               python-docutils,
               python-setuptools,
               python3-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~),
Standards-Version: 3.9.6
Homepage: http://getdnsapi.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-getdns.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-getdns.git

Package: python-getdns
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: python-getdns-doc
Description: modern asynchronous DNS API (python bindings)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This package contains python bindings for the library.

Package: python3-getdns
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-getdns-doc
Description: modern asynchronous DNS API (python 3 bindings)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This package contains python 3 bindings for the library.

Package: python-getdns-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python-getdns | python3-getdns
Description: modern asynchronous DNS API (documentation)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This package contains documentation for the python bindings.

=== debian/watch ===
version=3
opts="filenamemangle=s/\/getdnsapi\/getdns-python-bindings\/archive\/v(\d[\d\.]*)\.tar\.gz/python-getdns-$1.tar.gz/" \
         https://github.com/getdnsapi/getdns-python-bindings/tags /getdnsapi/getdns-python-bindings/archive/v(\d[\d\.]*)\.tar\.gz

## python-getdns 0.6.1

=== debian/changelog ===
python-getdns (0.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * New upstream release
  * Bump standards version to 3.9.7 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Apr 2016 01:20:16 -0400

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                python-setuptools,
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg-1~),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://getdnsapi.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-getdns.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-getdns.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-getdns.git
 
 Package: python-getdns

## python-getdns 1.0.0~b1

=== debian/changelog ===
python-getdns (1.0.0~b1-6build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:55:37 +0000

python-getdns (1.0.0~b1-6build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:28:32 +0000

python-getdns (1.0.0~b1-6build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:19 +0100

python-getdns (1.0.0~b1-6) unstable; urgency=medium

  * Team upload.
  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: #1047820)
  * Bump standards-version to 4.7.0 without further change
  * Remove myself from uploaders

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Aug 2024 10:03:07 -0400

python-getdns (1.0.0~b1-5) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove obsolete python-getdns-doc Suggests: python-getdns

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 00:26:20 +0000

python-getdns (1.0.0~b1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgetdns-dev and
      python3-sphinx.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:29:42 +0100

python-getdns (1.0.0~b1-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Bump standards version to 4.5.0.
  * Set Rules-Requires-Root: no

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-getdns: Add Multi-Arch: same.
    + python-getdns-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Scott Kitterman ]
  * Fix debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Dec 2021 21:16:37 -0500

python-getdns (1.0.0~b1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 27 Jul 2019 01:37:19 +0200

python-getdns (1.0.0~b1-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 16 Jul 2016 11:19:56 +0200

=== debian/control ===
Source: python-getdns
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libevent-dev,
               libgetdns-dev,
               libldns-dev,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.7.0
Homepage: https://getdnsapi.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-getdns.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-getdns
Rules-Requires-Root: no

Package: python3-getdns
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-getdns-doc
Multi-Arch: same
Description: modern asynchronous DNS API (python 3 bindings)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This package contains python 3 bindings for the library.

Package: python-getdns-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-getdns
Multi-Arch: foreign
Description: modern asynchronous DNS API (documentation)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This package contains documentation for the python bindings.

=== debian/watch ===
version=4
opts=uversionmangle=s/b/~b/ \
         https://github.com/getdnsapi/getdns-python-bindings/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
